Bug 767145 - xfce panel clock lost many features
xfce panel clock lost many features
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.2
Classification: openSUSE
Component: Xfce
Factory
Other Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks: 357354
  Show dependency treegraph
 
Reported: 2012-06-14 18:13 UTC by Juergen Weigert
Modified: 2019-10-10 19:12 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Weigert 2012-06-14 18:13:17 UTC
In 12.1 we had a thing called datetime-plugin that served as a clock. In 12.2 we have a thing called Clock.
This new clock misses a layout tab in its properties. Please make the datetime-plugin available too.
Comment 1 Juergen Weigert 2012-06-14 18:15:47 UTC
The calendar view is badly missing.
Comment 2 Guido Berhoerster 2012-06-15 09:14:55 UTC
(In reply to comment #0)
> In 12.1 we had a thing called datetime-plugin that served as a clock. In 12.2
> we have a thing called Clock.
> This new clock misses a layout tab in its properties. Please make the
> datetime-plugin available too.

"DateTime" is still available for installation as xfce4-panel-plugin-datetime, just the openSUSE default branding now uses the clock plugin that comes with xfce4-panel (because it is generally more versatile and datetime isn't very well maintained, it still has not been ported to libxfce4ui, does not support vertical or deskbar mode etc.).

(In reply to comment #1)
> The calendar view is badly missing.

It's probably not very hard to add a popup with a GtkCalendar widget to the clock plugin, I'll see if I can come up with a patch and get that accepted upstream.
Comment 3 Guido Berhoerster 2012-06-17 08:23:31 UTC
Proposed a patch adding a calendar popup to the clock plugin upstream. If it gets positive feedback upstream I will include this in the xfce4-panel package. An experimental xfce4-panel package with the patch included is available at home:gberh:branches:X11:xfce/xfce4-panel.
Comment 4 Guido Berhoerster 2012-07-24 21:03:56 UTC
Patch has been integrated upstream so I'll add this to our package.
Comment 5 Bernhard Wiedemann 2012-07-25 09:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (767145) was mentioned in
https://build.opensuse.org/request/show/128910 Factory / xfce4-panel
Comment 6 Guido Berhoerster 2012-07-30 10:45:38 UTC
Fixed.
Comment 7 Swamp Workflow Management 2019-08-05 10:11:39 UTC
This is an autogenerated message for OBS integration:
This bug (767145) was mentioned in
https://build.opensuse.org/request/show/720992 Backports:SLE-12-SP2 / exo+libgarcon+libxfce4ui+libxfce4util+perl-ExtUtils-Depends+perl-ExtUtils-PkgConfig+perl-Glib+thunar+xfce4-dev-tools+xfce4-panel+xfconf
Comment 8 Swamp Workflow Management 2019-10-10 19:12:04 UTC
openSUSE-RU-2019:2305-1: An update that solves one vulnerability and has 10 fixes is now available.

Category: recommended (moderate)
Bug References: 1011518,1047218,1135362,637694,687874,760492,764310,767145,829113,860479,952324
CVE References: CVE-2011-1588
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    exo-0.12.0-2.1, libgarcon-0.6.1-2.1, libxfce4ui-4.12.1-2.1, libxfce4util-4.12.1-2.1, perl-ExtUtils-Depends-0.405-2.1, perl-ExtUtils-PkgConfig-1.160000-2.1, perl-Glib-1.326-2.1, thunar-1.6.14-2.1, xfce4-dev-tools-4.12.0-2.1, xfce4-panel-4.12.2-2.1, xfconf-4.12.1-2.1